Non riesco ad avviare un Discourse

fallito con ritorno #<Process::Status: pid 147 exit 128>
Posizione del fallimento: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn’
exec fallito con i parametri {“cd”=>“home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [ (git rev-parse --is-shallow-repository) == "true" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ (git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n’”, “sudo -H -E -u discourse git config user.discourse-version $version”, “mkdir -p tmp”, “chown discourse:www-data tmp”, “mkdir -p tmp/pids”, “mkdir -p tmp/sockets”, “touch tmp/.gitkeep”, “mkdir -p /shared/log/rails”, “bash -c "touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"”, “bash -c "ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log"”, “bash -c "mkdir -p /shared/{uploads,backups}"”, “bash -c "ln -s /shared/{uploads,backups} $home/public"”, “bash -c "mkdir -p /shared/tmp/{backups,restores}"”, “bash -c "ln -s /shared/tmp/{backups,restores} $home/tmp"”, “chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp”, “[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete”]}
bootstrap fallito con codice di uscita 128
** FALLITO IL BOOTSTRAP ** scorri verso l’alto e cerca messaggi di errore precedenti, potrebbero essercene più di uno.
./discourse-doctor potrebbe aiutare a diagnosticare il problema.
a3cbcdb4f69959188529ca50ea2c2c507929ee0eb917fabc18102efd9a16862f
root@37:/home/discourse#

Inizierei con questo; se riesci a recuperarlo, per favore pubblica l’intero log in modo che possiamo esaminarlo.

root@37:/home/discourse# ./launcher start app
Architettura x86_64 rilevata.

avvio del contenitore esistente
+ /usr/bin/docker start app
app
root@37:/home/discourse# ./launcher rebuild app
Architettura x86_64 rilevata.
Verifica che il launcher sia aggiornato
Recupero dell'origine
Il launcher è aggiornato
Arresto del vecchio contenitore
+ /usr/bin/docker stop -t 600 app
app
2.0.20231023-1945: in fase di recupero da discourse/base
Digest: sha256:2b0eb484d20888cc2daadb690dcfa73522105650c1420212e99345a36a424d77
Stato: l'immagine è aggiornata per discourse/base:2.0.20231023-1945
docker.io/discourse/base:2.0.20231023-1945
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-07T21:27:52.867393 #1]  INFO -- : Lettura da stdin
I, [2023-12-07T21:27:52.888810 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-07T21:27:53.052110 #1]  INFO -- : Generazione delle localizzazioni (ciò potrebbe richiedere del tempo)...
Generazione completata.

I, [2023-12-07T21:27:53.053307 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-07T21:27:53.068794 #1]  INFO -- : 
I, [2023-12-07T21:27:53.070818 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-07T21:27:53.087442 #1]  INFO -- : 
I, [2023-12-07T21:27:53.088730 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-07T21:27:53.100734 #1]  INFO -- : 
I, [2023-12-07T21:27:53.101630 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-07T21:27:53.111689 #1]  INFO -- : 
I, [2023-12-07T21:27:53.112786 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-07T21:27:53.129240 #1]  INFO -- : 
I, [2023-12-07T21:27:53.130816 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres già in esecuzione, arresta il contenitore ; exit 1
2023/12/07 21:27:53 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): File o directory non esistente
I, [2023-12-07T21:27:53.171995 #1]  INFO -- : 
I, [2023-12-07T21:27:53.172733 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-07T21:27:53.187307 #1]  INFO -- : 
I, [2023-12-07T21:27:53.188651 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-07T21:27:53.200917 #1]  INFO -- : 
I, [2023-12-07T21:27:53.201966 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.213670 #1]  INFO -- : 
I, [2023-12-07T21:27:53.214910 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.227265 #1]  INFO -- : 
I, [2023-12-07T21:27:53.254417 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown: 
I, [2023-12-07T21:27:53.278747 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2023-12-07T21:27:53.305447 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2023-12-07T21:27:53.330755 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown: 
I, [2023-12-07T21:27:53.331959 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-07T21:27:55.522162 #1]  INFO -- : 
I, [2023-12-07T21:27:55.523699 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-12-07T21:27:55.534722 #1]  INFO -- : 
I, [2023-12-07T21:27:55.534966 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-07T21:27:55.748127 #1]  INFO -- : 
I, [2023-12-07T21:27:55.749312 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-07T21:27:55.762117 #1]  INFO -- : 
I, [2023-12-07T21:27:55.763943 #1]  INFO -- : > /root/upgrade_postgres
I, [2023-12-07T21:27:55.790468 #1]  INFO -- : 
I, [2023-12-07T21:27:55.791704 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2023-12-07T21:27:55.802614 #1]  INFO -- : 
I, [2023-12-07T21:27:55.803939 #1]  INFO -- : Sostituzione data_directory = '/var/lib/postgresql/13/main' con data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.806088 #1]  INFO -- : Sostituzione (?-mix:#?listen_addresses *=.*) con listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.807166 #1]  INFO -- : Sostituzione (?-mix:#?synchronous_commit *=.*) con synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.808275 #1]  INFO -- : Sostituzione (?-mix:#?shared_buffers *=.*) con shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.809777 #1]  INFO -- : Sostituzione (?-mix:#?work_mem *=.*) con work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.811055 #1]  INFO -- : Sostituzione (?-mix:#?default_text_search_config *=.*) con default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.812350 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-07T21:27:55.832907 #1]  INFO -- : 
I, [2023-12-07T21:27:55.834231 #1]  INFO -- : Sostituzione (?-mix:#?checkpoint_segments *=.*) con checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.836692 #1]  INFO -- : Sostituzione (?-mix:#?logging_collector *=.*) con logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.838620 #1]  INFO -- : Sostituzione (?-mix:#?log_min_duration_statement *=.*) con log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.840740 #1]  INFO -- : Sostituzione (?-mix:^#local +replication +postgres +peer$) con local replication postgres peer in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.842479 #1]  INFO -- : Sostituzione (?-mix:^host.*all.*all.*127.*$) con host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.844302 #1]  INFO -- : Sostituzione (?-mix:^host.*all.*all.*::1\/128.*$) con host all all ::/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.845600 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-07T21:27:55.856257 #1]  INFO -- : > sleep 5
2023-12-07 21:27:56.035 UTC [42] LOG:  avvio di PostgreSQL 13.12 (Debian 13.12-1.pgdg110+1) su x86_64-pc-linux-gnu, compilato con gcc (Debian 10.2.1-6) 10.2.1 20210110, 64-bit
2023-12-07 21:27:56.036 UTC [42] LOG:  in ascolto sull'indirizzo IPv4 "0.0.0.0", porta 5432
2023-12-07 21:27:56.036 UTC [42] LOG:  in ascolto sull'indirizzo IPv6 "::", porta 5432
2023-12-07 21:27:56.042 UTC [42] LOG:  in ascolto sul socket Unix "/var/run/postgresql/.s.PGSQL.5432"
2023-12-07 21:27:56.072 UTC [45] LOG:  il sistema di database è stato arrestato alle 2023-12-07 21:27:34 UTC
2023-12-07 21:27:56.094 UTC [42] LOG:  il sistema di database è pronto ad accettare connessioni
I, [2023-12-07T21:28:00.869339 #1]  INFO -- : 
I, [2023-12-07T21:28:00.870667 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2023-12-07 21:28:01.164 UTC [55] postgres@postgres ERRORE:  il database "discourse" esiste già
2023-12-07 21:28:01.164 UTC [55] postgres@postgres ISTRUZIONE:  CREATE DATABASE discourse;
createdb: errore: creazione del database fallita: ERRORE:  il database "discourse" esiste già
I, [2023-12-07T21:28:01.171789 #1]  INFO -- : 
I, [2023-12-07T21:28:01.173658 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2023-12-07 21:28:01.409 UTC [59] postgres@discourse ERRORE:  il ruolo "discourse" esiste già
2023-12-07 21:28:01.409 UTC [59] postgres@discourse ISTRUZIONE:  create user discourse;
ERRORE:  il ruolo "discourse" esiste già
I, [2023-12-07T21:28:01.421089 #1]  INFO -- : 
I, [2023-12-07T21:28:01.422390 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-12-07T21:28:01.652351 #1]  INFO -- : GRANT

I, [2023-12-07T21:28:01.653224 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-12-07T21:28:01.848464 #1]  INFO -- : ALTER SCHEMA

I, [2023-12-07T21:28:01.849319 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTA:  l'estensione "hstore" esiste già, salto
I, [2023-12-07T21:28:02.020169 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.021062 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTA:  l'estensione "pg_trgm" esiste già, salto
I, [2023-12-07T21:28:02.199327 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.200424 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTA:  l'estensione "vector" esiste già, salto
I, [2023-12-07T21:28:02.392996 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.394344 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTA:  l'estensione "hstore" esiste già, salto
I, [2023-12-07T21:28:02.575096 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.576400 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTA:  l'estensione "pg_trgm" esiste già, salto
I, [2023-12-07T21:28:02.725992 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.726638 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTA:  l'estensione "vector" esiste già, salto
I, [2023-12-07T21:28:02.908238 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.909565 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2023-12-07T21:28:02.921548 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2023-12-07T21:28:03.146861 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2023-12-07T21:28:03.165891 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2023-12-07T21:28:03.166367 #1]  INFO -- : > echo postgres installato!
I, [2023-12-07T21:28:03.182267 #1]  INFO -- : postgres installato!

I, [2023-12-07T21:28:03.213062 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown: 
I, [2023-12-07T21:28:03.244974 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2023-12-07T21:28:03.266706 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2023-12-07T21:28:03.268509 #1]  INFO -- : Sostituzione daemonize yes con   in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.271386 #1]  INFO -- : Sostituzione (?-mix:^pidfile.*$) con   in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.273731 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-07T21:28:03.288445 #1]  INFO -- : 
I, [2023-12-07T21:28:03.290198 #1]  INFO -- : Sostituzione (?-mix:^logfile.*$) con logfile "" in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.292337 #1]  INFO -- : Sostituzione (?-mix:^bind .*$) con   in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.293786 #1]  INFO -- : Sostituzione (?-mix:^dir .*$) con dir /shared/redis_data in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.295696 #1]  INFO -- : Sostituzione (?-mix:^protected-mode yes) con protected-mode no in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.297288 #1]  INFO -- : Sostituzione # io-threads 4 con io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.298621 #1]  INFO -- : > echo redis installato
I, [2023-12-07T21:28:03.307352 #1]  INFO -- : redis installato

I, [2023-12-07T21:28:03.308311 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-07T21:28:03.327848 #1]  INFO -- : logfile ""

I, [2023-12-07T21:28:03.328908 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:03.340064 #1]  INFO -- : > sleep 10
111:C 07 Dic 2023 21:28:03.363 # oO0OoO0OoO0Oo Redis è in fase di avvio oO0OoO0OoO0Oo
111:C 07 Dic 2023 21:28:03.363 # Versione Redis=7.0.7, bit=64, commit=00000000, modificato=0, pid=111, appena avviato
111:C 07 Dic 2023 21:28:03.363 # Configurazione caricata
111:M 07 Dic 2023 21:28:03.366 * orologio monotono: POSIX clock_gettime
111:M 07 Dic 2023 21:28:03.369 * Esecuzione in modalità=standalone, porta=6379.
111:M 07 Dic 2023 21:28:03.369 # Server inizializzato
111:M 07 Dic 2023 21:28:03.369 # ATTENZIONE: il memory overcommit deve essere abilitato! Senza di esso, un salvataggio in background o una replica potrebbero fallire in condizioni di bassa memoria. Se disabilitato, può causare fallimenti anche senza condizioni di bassa memoria, vedi https://github.com/jemalloc/jemalloc/issues/1328. Per risolvere questo problema, aggiungi 'vm.overcommit_memory = 1' a /etc/sysctl.conf e poi riavvia o esegui il comando 'sysctl vm.overcommit_memory=1' affinché abbia effetto.
111:M 07 Dic 2023 21:28:03.371 * Caricamento RDB prodotto dalla versione 7.0.7
111:M 07 Dic 2023 21:28:03.371 * Età RDB 31 secondi
111:M 07 Dic 2023 21:28:03.371 * Utilizzo memoria RDB al momento della creazione 2.62 Mb
111:M 07 Dic 2023 21:28:03.382 * Caricamento RDB completato, chiavi caricate: 319, chiavi scadute: 0.
111:M 07 Dic 2023 21:28:03.382 * DB caricato dal disco: 0.012 secondi
111:M 07 Dic 2023 21:28:03.382 * Pronto ad accettare connessioni
I, [2023-12-07T21:28:13.354480 #1]  INFO -- : 
I, [2023-12-07T21:28:13.355715 #1]  INFO -- : > thpoff echo "thpoff è installato!"
I, [2023-12-07T21:28:13.375845 #1]  INFO -- : thpoff è installato!

I, [2023-12-07T21:28:13.377559 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Interrompo! La posta non è configurata!"; exit 1; end'
I, [2023-12-07T21:28:13.652534 #1]  INFO -- : 
I, [2023-12-07T21:28:13.653251 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Interrompo! Il dominio non è configurato!"; exit 1; end'
I, [2023-12-07T21:28:13.886027 #1]  INFO -- : 
I, [2023-12-07T21:28:13.887325 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Interrompo! Il CDN deve avere un protocollo specificato. Una volta corretto, dovresti rigenerare ora i tuoi post per correggere tutti i post."; exit 1; end'
I, [2023-12-07T21:28:14.154099 #1]  INFO -- : 
I, [2023-12-07T21:28:14.154919 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-12-07T21:28:14.165050 #1]  INFO -- : 
I, [2023-12-07T21:28:14.178331 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown: 
I, [2023-12-07T21:28:14.203523 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2023-12-07T21:28:14.231014 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2023-12-07T21:28:14.256600 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown: 
I, [2023-12-07T21:28:14.285982 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2023-12-07T21:28:14.314320 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2023-12-07T21:28:14.315225 #1]  INFO -- : Sostituzione # postgres con sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2023-12-07T21:28:14.316771 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:14.331121 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
138:C 07 Dic 2023 21:28:14.347 # oO0OoO0OoO0Oo Redis è in fase di avvio oO0OoO0OoO0Oo
138:C 07 Dic 2023 21:28:14.348 # Versione Redis=7.0.7, bit=64, commit=00000000, modificato=0, pid=138, appena avviato
138:C 07 Dic 2023 21:28:14.348 # Configurazione caricata
138:M 07 Dic 2023 21:28:14.349 * orologio monotono: POSIX clock_gettime
138:M 07 Dic 2023 21:28:14.350 # Attenzione: impossibile creare il socket TCP di ascolto del server *:6379: bind: Indirizzo già in uso
138:M 07 Dic 2023 21:28:14.350 # Errore nell'ascolto sulla porta 6379 (TCP), interruzione.
Aggiornamento file: 100% (33858/33858), completato.
I, [2023-12-07T21:28:29.489189 #1]  INFO -- : HEAD è ora su 043b4a418 FIX: sostituisce l'uso di data-tooltip con <DTooltip /> (#24062)

I, [2023-12-07T21:28:29.489710 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-07T21:28:30.370415 #1]  INFO -- : 
I, [2023-12-07T21:28:30.370684 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: impossibile accedere a 'https://github.com/discourse/discourse.git/': impossibile risolvere l'host: github.com
I, [2023-12-07T21:28:42.767417 #1]  INFO -- : 
I, [2023-12-07T21:28:42.769055 #1]  INFO -- : Terminazione dei processi asincroni
I, [2023-12-07T21:28:42.769372 #1]  INFO -- : Invio di INT a HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 42
I, [2023-12-07T21:28:42.769482 #1]  INFO -- : Invio di TERM a exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 111
2023-12-07 21:28:42.769 UTC [42] LOG:  ricevuta richiesta di arresto rapido
111:signal-handler (1701984522) Ricevuto SIGTERM, programmazione di arresto...
2023-12-07 21:28:42.771 UTC [42] LOG:  interruzione di eventuali transazioni attive
2023-12-07 21:28:42.779 UTC [42] LOG:  worker in background "logical replication launcher" (PID 51) uscito con codice di uscita 1
111:M 07 Dic 2023 21:28:42.782 # Arresto richiesto dall'utente...
111:M 07 Dic 2023 21:28:42.782 * Salvataggio dell'ultimo snapshot RDB prima dell'uscita.
2023-12-07 21:28:42.785 UTC [46] LOG:  arresto in corso
111:M 07 Dic 2023 21:28:42.811 * DB salvato su disco
111:M 07 Dic 2023 21:28:42.811 # Redis è ora pronto per uscire, arrivederci...
2023-12-07 21:28:42.853 UTC [42] LOG:  sistema di database arrestato


FALLITO
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' fallito con return #<Process::Status: pid 147 exit 128>
Posizione del fallimento: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
esecuzione fallita con i parametri {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap fallito con codice di uscita 128
** BOOTSTRAP FALLITO ** scorri verso l'alto e cerca i messaggi di errore precedenti, potrebbero essercene più di uno.
./discourse-doctor può aiutare a diagnosticare il problema.
a3cbcdb4f69959188529ca50ea2c2c507929ee0eb917fabc18102efd9a16862f
root@37:/home/discourse# 

Sembra che la rete Docker sia in errore; dovrai risolvere il problema.

Come posso risolvere?

Inizia dalle basi:

  • il networking all’interno del container funziona?
  • il container sta usando i server DNS corretti?
  • se il networking funziona, il container può comunicare con i server DNS?

Faccio molte domande, ma come posso vederle?

root@37:/home/discourse# ./discourse-setup
Il file di configurazione containers/app.yml esiste già!

. . . riconfigurazione . . .


Salvataggio del vecchio file come app.yml.2023-12-07-220015.bak
Arresto del container esistente tra 5 secondi o Control-C per annullare.
Rilevata architettura x86_64.
+ /usr/bin/docker stop -t 600 app
app

Trovati 2 GB di memoria e 4 core CPU fisici
impostazione db_shared_buffers = 256MB
impostazione UNICORN_WORKERS = 4
i parametri di memoria di containers/app.yml sono stati aggiornati.

Hostname per il tuo Discourse? [kisacabilgi.net]: 

Verifica del nome di dominio in corso . . .
ATTENZIONE: la porta 443 del computer non sembra essere accessibile utilizzando il nome host: kisacabilgi.net.
ATTENZIONE: anche la connessione a http://kisacabilgi.net (porta 80) fallisce.

Ciò suggerisce che kisacabilgi.net si risolve in un indirizzo IP che non raggiunge questa
macchina su cui stai installando discourse.

La prima cosa da fare è confermare che kisacabilgi.net si risolva nell'indirizzo IP di questo server.
Di solito lo fai nello stesso posto in cui hai acquistato il dominio.

Se sei sicuro che l'indirizzo IP si risolva correttamente, potrebbe esserci un problema di firewall.
Una ricerca sul web per \"apri porte IL TUO SERVIZIO CLOUD\" potrebbe aiutare.

Questo strumento è progettato solo per le installazioni più standard. Se non riesci a risolvere
il problema sopra, dovrai modificare tu stesso containers/app.yml e poi digitare

A proposito, quando ho provato a riadattare il file, ho ricevuto questo errore.

Hai già un’istanza di Discourse in esecuzione e stai cercando di configurarla di nuovo.
Se hai modificato containers/app.yml, devi ricompilare il container con: ./launcher rebuild app invece.

Questa volta ricevo l’errore iniziale.

Ho davvero bisogno di aiuto, è successo qualcosa al mio server senza motivo ed è fuori servizio da oltre 24 ore. Presto tutti i miei sforzi andranno sprecati, non so come risolverlo da solo.

Dal server su cui Discourse è in esecuzione, puoi eseguire il ping di github.com?

root@37:~# ping github.com
PING github.com (140.82.121.4) 56(84) bytes of data.
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=1 ttl=52 time=37.7 ms
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=2 ttl=52 time=37.7 ms
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=3 ttl=52 time=38.9 ms

Nessuno mi aiuterà?

Hai contrassegnato questo argomento come risolto nella risposta n. 8.

Se si tratta dello stesso problema, possiamo rimuovere lo stato di risolto, ma in caso contrario, considera l’avvio di un nuovo argomento per eliminare qualsiasi confusione.

Se hai ancora una build funzionante, potresti avviarla[1], accedervi[2] e provare a eseguire il ping di github da lì?


  1. ./launcher start app ↩︎

  2. ./launcher enter app ↩︎

root@37-app:/var/www/discourse# ping github.com
bash: ping: comando non trovato

Prova curl allora:

curl github.com -v
root@37-app:/var/www/discourse# curl github.com -v
* Could not resolve host: github.com
* Closing connection 0
curl: (6) Could not resolve host: github.com
root@37-app:/var/www/discourse# 

Potresti ripeterlo, tranne per Google?